VMs
Create a new virtual machine
VM Create Request v2
Machine model type ID
Region code
us-east-1VM nickname
Spot instance flag: true=spot, false=on-demand
OK
message
code
Bad Request
Internal Server Error
VM created successfully
Invalid request parameters
POST /v2/vms HTTP/1.1
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 89
{
"vmTypeId": 261,
"region": "ca-east-1",
"name": "my-vm",
"isSpot": false,
"volumeMountPaths": {}
}{
"message": "success",
"code": 10000,
"data": {
"id": "454580948798522256",
"orgId": "398890716618167180",
"name": "my-vm",
"gpuDisplayName": null,
"ipAddress": null,
"domainName": null,
"cpuCores": 124,
"memoryInGb": "480",
"gpuCount": 4,
"gpuMemoryInGb": "80",
"region": "ca-east-1",
"storageInGb": "3300",
"notebookUrl": null,
"sshTemplate": null,
"status": "INITIALIZING",
"createdAt": "1780882943899",
"terminatedAt": null,
"updatedAt": "1780882943899",
"osInfo": "Ubuntu 24.04 LTS",
"gpuType": "A100 80G PCIe",
"isSpot": false
}
}Update an existing VM (partial update)
0VM Update Request v2
VM nickname
OK
message
code
Bad Request
Internal Server Error
VM updated
VM not found
PATCH /v2/vms/{id} HTTP/1.1
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 24
{
"name": "my-updated-vm"
}{
"message": "success",
"code": 10000,
"data": {
"id": "454580948798522256",
"orgId": "398890716618167180",
"name": "my-updated-vm",
"gpuDisplayName": "4x A100 PCIe 80G",
"ipAddress": null,
"domainName": null,
"cpuCores": 124,
"memoryInGb": "480",
"gpuCount": 4,
"gpuMemoryInGb": "80",
"region": "ca-east-1",
"storageInGb": "3300",
"notebookUrl": null,
"sshTemplate": null,
"status": "INITIALIZING",
"createdAt": "1780882943899",
"terminatedAt": null,
"updatedAt": "1780883072659",
"osInfo": "Ubuntu 24.04 LTS",
"gpuType": "A100 80G PCIe",
"isSpot": false
}
}Terminate a virtual machine
0OK
message
code
data
Bad Request
Internal Server Error
VM terminated
VM not found
VM status invalid
No terminate permissions
Resource status invalid
DELETE /v2/vms/{id} HTTP/1.1
x-api-key: YOUR_API_KEY
Accept: */*
{
"message": "success",
"code": 10000,
"data": true
}Get details of a specific virtual machine
0OK
message
code
Bad Request
Internal Server Error
VM found
VM not found
GET /v2/vms/{id} HTTP/1.1
x-api-key: YOUR_API_KEY
Accept: */*
{
"message": "success",
"code": 10000,
"data": {
"id": "454580948798522256",
"orgId": "398890716618167180",
"name": "my-vm",
"gpuDisplayName": "4x A100 PCIe 80G",
"ipAddress": null,
"domainName": null,
"cpuCores": 124,
"memoryInGb": "480",
"gpuCount": 4,
"gpuMemoryInGb": "80",
"region": "ca-east-1",
"storageInGb": "3300",
"notebookUrl": null,
"sshTemplate": null,
"status": "INITIALIZING",
"createdAt": "1780882943899",
"terminatedAt": null,
"updatedAt": "1780882943899",
"osInfo": "Ubuntu 24.04 LTS",
"gpuType": "A100 80G PCIe",
"isSpot": false
}
}Get all VMs for your organization with pagination
Page number (1-based)
1Example: 1Page size
10Example: 10Filter by status
RUNNINGSuccess, returns paginated list of VMs
message
code
Bad Request
Internal Server Error
Success
GET /v2/vms HTTP/1.1
x-api-key: YOUR_API_KEY
Accept: */*
{
"message": "success",
"code": 10000,
"data": {
"items": [
{
"id": "454580948798522256",
"orgId": "398890716618167180",
"name": "my-updated-vm",
"gpuDisplayName": "4x A100 PCIe 80G",
"ipAddress": "38.128.233.73",
"domainName": "instance-2063799421207842816.yottadeos.com",
"cpuCores": 124,
"memoryInGb": "480",
"gpuCount": 4,
"gpuMemoryInGb": "80",
"region": "ca-east-1",
"storageInGb": "3300",
"notebookUrl": "http://instance-2063799421207842816.yottadeos.com:8888/lab?token=7e8479ed-db27-4db0-b57e-4274ad3b8e4f",
"sshTemplate": "ssh [email protected] -i <private key file>.pem",
"status": "RUNNING",
"createdAt": "1780882943899",
"terminatedAt": null,
"updatedAt": "1780883250010",
"osInfo": "Ubuntu 24.04 LTS",
"gpuType": "A100 80G PCIe",
"isSpot": false
}
],
"page": "1",
"size": "10",
"total": "1",
"pages": "1"
}
}Get all available VM types (GPU models) and their regional availability
Success, returns list of GPU types with regional availability
message
code
Bad Request
Not Found
Internal Server Error
Success
GET /v2/vms/types HTTP/1.1
x-api-key: YOUR_API_KEY
Accept: */*
{
"message": "success",
"code": 10000,
"data": [
{
"gpuType": "MI300X",
"regions": [
{
"region": "us-central-8",
"types": [
{
"vmTypeId": 241,
"gpuCount": 8,
"pricePerHour": "47.88",
"supportSpot": true,
"spotPricePerHour": "34.4736",
"currency": "USD",
"displayName": "8x MI300X",
"cpuCores": 128,
"memoryInGb": "2048",
"gpuMemoryInGb": "192",
"gpuTotalMemoryInGb": "1536",
"storageType": "ssd",
"storageCapacityInGb": "3576",
"osName": "Ubuntu",
"osVersion": "22.04 LTS",
"supportOnDemand": false,
"ondemandAvailable": false,
"spotAvailable": false
}
]
}
]
}
]
}Last updated
Was this helpful?